variable "prefix" {
  type    = string
  default = "app"
}

variable "name" {
  type        = string
  description = "Name of the cluster"
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "kubernetes_version" {
  type        = string
  description = "Kubernetes version to use for managed workload cluster"
  default     = "v1.30.3+rke2r1"
}

variable "rancher_server_uri" {
  type = string
}

variable "rancher_admin_token" {
  type      = string
  sensitive = true
}

variable "hcloud_token" {
  type      = string
  sensitive = true
}

variable "hcloud_network_id" {
  type = string
}

variable "node_count" {
  type        = number
  description = "Number of nodes in the cluster"
  default     = 3
}

variable "node_instance_type" {
  type        = string
  description = "Type of instance to be used for all instances"
  default     = "cx22"
}

variable "minio_server" {
  type = string
}

variable "vault_server" {
  type = string
}

variable "vault_token" {
  type      = string
  sensitive = true
}

variable "hosts" {
  type = list(string)
  default = null
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}
